module bench;
	reg a, b, cin;
	wire s, cout;
	reg s2, cout2;
	wire correct;

	adder adder_instance(a, b, cin, s, cout);

	initial begin
		{a, b, cin, s2, cout2} <= 5'b00000; #10000;
		{a, b, cin, s2, cout2} <= 5'b10010; #10000;
		{a, b, cin, s2, cout2} <= 5'b01010; #10000;
		{a, b, cin, s2, cout2} <= 5'b11001; #10000;
		{a, b, cin, s2, cout2} <= 5'b00110; #10000;
		{a, b, cin, s2, cout2} <= 5'b10101; #10000;
		{a, b, cin, s2, cout2} <= 5'b01101; #10000;
		{a, b, cin, s2, cout2} <= 5'b11111; #10000;
	end

	assign correct = (s == s2) && (cout == cout2);
endmodule
